package com.ruoyi.web.controller.manager;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.text.CharSequenceUtil;
import com.ruoyi.common.utils.ShiroUtils;
import com.ruoyi.system.domain.place.TdPlace;
import com.ruoyi.system.service.place.TdPlaceService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * packageName com.ruoyi.web.controller.manager
 *
 * @author wangxy
 * @version JDK 8
 * @className TdPlaceManager
 * @date 2024/8/13
 * @description 涉密场所登记
 */
@Component
public class TdPlaceManager {

    @Resource
    private TdPlaceService placeService;


    public List<TdPlace> selectTdPlaceList(TdPlace tdPlace) {
        return placeService.selectTdPlaceList(tdPlace);
    }



    public boolean saveOrUpdate(TdPlace tdPlace) {
        if (CharSequenceUtil.isNotBlank(tdPlace.getId())) {
            tdPlace.setUpdateBy(ShiroUtils.getSysUser().getLoginName());
            tdPlace.setUpdateTime(new Date());
        } else {
            tdPlace.setCreateBy(ShiroUtils.getSysUser().getLoginName());
            tdPlace.setCreateTime(new Date());
        }
        return placeService.saveOrUpdate(tdPlace);
    }


    public TdPlace selectTdPlace(String id) {
        return placeService.getById(id);
    }

    public boolean deletedPlaceByids(String ids) {
        List<String> list = Arrays.asList(Convert.toStrArray(ids));
        return placeService.removeByIds(list);
    }

    public List<TdPlace> selectList() {
        return placeService.lambdaQuery().list();
    }
    public TdPlace selectById(Long id) {
        return placeService.getById(id);
    }
}
