package com.ruoyi.web.controller.manager;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.text.CharSequenceUtil;
import com.ruoyi.common.utils.ShiroUtils;
import com.ruoyi.system.domain.place.TdPlaceRegist;
import com.ruoyi.system.service.place.TdPlaceRegistService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * packageName com.ruoyi.web.controller.manager
 *
 * @author wangxy
 * @version JDK 8
 * @className TdPlaceRegistManager
 * @date 2024/8/13
 * @description 涉密人员出入登记
 */
@Component
public class TdPlaceRegistManager {


    @Resource
    private TdPlaceRegistService placeRegistService;


    public List<TdPlaceRegist> selectTdPlaceRegistList(TdPlaceRegist tdPlaceRegist) {
        return placeRegistService.selectTdPlaceRegistList(tdPlaceRegist);
    }

    public boolean saveOrUpdate(TdPlaceRegist tdPlaceRegist) {
        if (CharSequenceUtil.isNotBlank(tdPlaceRegist.getId())) {
            tdPlaceRegist.setUpdateBy(ShiroUtils.getSysUser().getLoginName());
            tdPlaceRegist.setUpdateTime(new Date());
        } else {
            tdPlaceRegist.setCreateBy(ShiroUtils.getSysUser().getLoginName());
            tdPlaceRegist.setCreateTime(new Date());
        }
        return placeRegistService.saveOrUpdate(tdPlaceRegist);
    }


    public TdPlaceRegist selectTdPlaceRegist(String id) {
        return placeRegistService.getById(id);
    }

    public boolean deleteTdPlaceRegistByids(String ids) {
        List<String> list = Arrays.asList(Convert.toStrArray(ids));
        return placeRegistService.removeByIds(list);
    }


}
