package com.ruoyi.system.domain.check;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 检查报告结果
 * @author 13560
 * @TableName td_check_report
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdCheckReport implements Serializable {
    /**
     * id
     */
    @TableId
    private String checkId;

    /**
     * 报告人员
     */
    @Excel(name = "报告人员")
    private String adduser;

    /**
     * 报告人单位
     */
    @Excel(name = "报告人单位")
    private String depart;

    /**
     * 检查开始时间
     */
    @Excel(name = "检查开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkStartTime;

    /**
     * 检查结束时间
     */
    @Excel(name = "检查结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkEndTime;

    /**
     * 检查类型（0.自检 1.保密局检查）
     */
    @Excel(name = "检查类型", readConverterExp = "0=自检,1=保密局检查")
    private String checkType;


    /**
     * 市州
     */
    @Excel(name = "所属市州")
    private String framework;

    /**
     * 地区
     */
    @Excel(name = "所属区县")
    private String area;


    /**
     * 检查状态（0：通过1：未通过2：待检查）
     */
    @Excel(name = "检查状态", readConverterExp = "0=通过,1=未通过,2=待检查")
    private String checkState;

    /**
     * 检查人名
     */
    @Excel(name = "检查人名")
    private String checkName;

    /**
     * 创建时间
     */
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}